
<SceneGroup name="__main__" select="/data">
    <Load_Xml  nodename="api" event="setup" url="/__gui/site/api.xml"/>
   <Scene name="__main__">

        <Div class="w3-row">
            <Part name="tests-menu-bar" class="w3-bar w3-black"/>
            <Part name="tests-menu-vertical" class="w3-col s12 m4 l3 w3-ul"/>
            <Part name="tests-content"  class="w3-col s12 m8 l9 w3-dark-blue"/>

            <Call_Scene part="tests-menu-bar" scene="menu-bar"/>
        </Div>
    </Scene>

    <Scene name="menu-bar">

       <DirectLink class="w3-bar-item" url="/">
            <Text class="w3-bar-item" text="reload"/>
       </DirectLink>

        <ForChildren attrX="type" valueX="dir">
           <Div class="w3-bar-item w3-hover-green" active="true">
                <TextAttr attr="name"/>
                <Draw event="click" part="tests-menu-vertical" scene="tests-menu-vertical"/>
            </Div>
        </ForChildren>

        <Div class="w3-bar-item w3-hover-green" active="true">
            <Text text="api"/>
            <Draw event="click" part="tests-menu-vertical" scene="api/menu"/>
        </Div>

    </Scene>

    <Scene name="tests-menu-vertical">

        <Div balise="h1" class="w3-blue"><TextAttr attr="name"/></Div>
        <SelectPath value=".." >
            <Div class="w3-black w3-hover-green" active="true">
                <Text text=".."/>
               <Draw  event="click" part="tests-menu-vertical" scene="tests-menu-vertical"/>
            </Div>
        </SelectPath>

        <ForChildren attr="type" value="dir">
            <Div class="w3-black w3-hover-green" active="true">
                <TextAttr attr="name"/>
               <Draw  event="click" part="tests-menu-vertical" scene="tests-menu-vertical"/>
            </Div>
        </ForChildren>

        <Div balise="h3" class="w3-blue"><Text text="media"/></Div>
        <Div class="w3-black w3-hover-green" active="true">
            <Text text="images"/>
           <Draw  event="click" part="tests-content" scene="page-image"/>
        </Div>
        <Div class="w3-black w3-hover-green" active="true">
            <Text text="videos"/>
           <Draw  event="click" part="tests-content" scene="page-video"/>
        </Div>

        <Div balise="h3" class="w3-blue"><Text text="pages"/></Div>
        <ForChildren attr="type" value="text/html">
            <Div class="w3-black w3-hover-green" active="true">
                <TextAttr attr="name"/>
               <Draw  event="click" part="tests-content" scene="pages"/>
            </Div>
        </ForChildren>

        <Div balise="h3" class="w3-blue"><Text text="scripts"/></Div>
        <ForChildren attr="type" value="application/xml">
            <Div class="w3-black w3-hover-green" active="true" >
                <TextAttr attr="name"/>
               <Draw  event="click" part="tests-content" scene="scripts"/>
            </Div>
        </ForChildren>


    </Scene>

    <Scene name="scripts">
        <Div balise="h3" class="w3-blue">                
            <TextAttr attr="name"/>
        </Div>
        <Div  class="w3-row">
            <Div  class="w3-col s12 m12 l12">
                <DirectLink class="w3-black w3-hover-green w3-center">
                    <Text text="direct link"/>
                </DirectLink>
            </Div>
            <Part name="script-content"  class="w3-col s12 m6 l6">
                <SelectXmlScript/>
            </Part>
            <Div  class="w3-col s12 m6 l6">
                <Iframe class="w3-grey"/>
            </Div>
        </Div>
     </Scene>

    <Scene name="pages">
            <DirectLink class="w3-black w3-hover-green w3-center">
                <TextAttr attr="name"/>
            </DirectLink>
          <Iframe/>
     </Scene>

    <Scene name="page-image">
        <Div  class="w3-row">
        <ForChildren attr="type" value="image">
            <Div  class="w3-col s6 m4 l3 w3-border">
                <DirectLink class="w3-black w3-hover-green w3-center">
                    <TextAttr attr="name"/>
                </DirectLink>
                <Div  class="" active="true">
                    <BdImage classX="w3-display-middle"/>
                   <Draw  event="click" part="tests-content" scene="/media/media"/>
                </Div>
            </Div>
        </ForChildren>
        </Div>
     </Scene>

    <Scene name="page-video">
        <Div  class="w3-row">
        <ForChildren attr="type" value="video">
            <Div  class="w3-col s6 m4 l3 w3-border">
                <DirectLink class="w3-black w3-hover-green w3-center">
                    <TextAttr attr="name"/>
                </DirectLink>
                <Div  class="" active="true">
                    <Video classX="w3-display-middle"/>
                   <Draw  event="click" part="tests-content" scene="/media/media"/>
                </Div>
            </Div>
        </ForChildren>
        </Div>
     </Scene>

</SceneGroup>
